AviatoAviato
DeveloperAPI ReferenceAuthIdentity sessionComplete

/api/auth/identity-session/complete

POST
/api/auth/identity-session/complete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/identity-session/complete" \  -H "Content-Type: application/json" \  -d '{    "cert": {      "payload": "string",      "sig": "string"    },    "challenge": "string",    "serverId": "string",    "sig": "string",    "ts": 0  }'
{
  "aviato_conn_info_key_envelope": {
    "ct": "string",
    "ephPub": "string",
    "nonce": "string"
  },
  "expiresAt": "string",
  "profiles": [
    {
      "id": "string",
      "userId": "string",
      "name": "string",
      "avatarUrl": "string",
      "libraryAccess": [
        {
          "libraryId": "string",
          "maxRating": "string"
        }
      ],
      "isDefault": true,
      "hasPin": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "token": "string",
  "user": {
    "id": "string",
    "username": "string",
    "displayName": "string",
    "role": "admin",
    "publicKey": "string",
    "libraryAccess": [
      {
        "libraryId": "string",
        "maxRating": "string"
      }
    ],
    "enabled": true,
    "createdAt": "string",
    "lastLoginAt": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}